
#client-case{
    background-color: #ffffff;
    margin-top: 88px;
}
#carousel-wrap{
    position: relative;
    overflow: hidden; 
    justify-content: center;
    background-color: #ffffff;
}
#carousel-wrap .carousel-box{
    overflow: hidden;
    height: 688px;
    display: flex;
    align-items: center;
    justify-content: center;
}
#carousel-wrap .carousel-box img{
    height: 100%;
    object-fit: cover;
}

#carousel-wrap .btn{ 
    width: 72px;
    height: 72px;
    background: rgba(51,51,51,0.26);
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    color: #FFFFFF;
    cursor: pointer;
}
.swiper-button-prev{
    left: 56px;
}
.swiper-button-next{
    right: 56px;
}
.swiper-pagination{
    bottom: 20px important;
}
.swiper-pagination .swiper-pagination-bullet{
    width: 8px;
    height: 8px;
    background: #C8C9CC;
    border-radius: 4px;
    opacity: 1;
}
.swiper-pagination .swiper-pagination-bullet-active{
    width: 40px;
    height: 8px;
    background: #FFFFFF;
}
#carousel-wrap .carousel-box .carousel-box-text{
    top: 136px;
    width: 750px;
    left: 240px;
    position: absolute;
    font-weight: bold;
    font-size: 44px;
    color: #2E65F5;
    display: -webkit-box; /* 启用弹性盒子模型 */
    -webkit-line-clamp: 2; /* 限制显示2行 */
    -webkit-box-orient: vertical; /* 设置子元素垂直排列 */
    overflow: hidden; /* 超出部分隐藏 */
    text-overflow: ellipsis; /* 超出部分显示省略号 */
    line-height: 55px; /* 设置行高，控制行间距 */
    max-height: 110px; /* 控制最大高度为2行的高度 */
}
#carousel-wrap .carousel-box .carousel-box-btn-wrap{
    top: 400px;
    width: 1440px;
    left: 240px;
    position: absolute;
    display: flex;
    align-items: center;
    gap: 24px;
}
.carousel-box-btn-wrap .consult-btn,
.carousel-box-btn-wrap .btn-primary {
    border: 1px solid #2E65F5;
    width: 168px;
    height: 60px;
    line-height: 60px;
    border-radius: 4px;
    font-weight: 400;
    font-size: 18px;
    text-align: center;
    cursor: pointer;
}

.carousel-box-btn-wrap .consult-btn {
    color: #2E65F5;
}

.carousel-box-btn-wrap .btn-primary {

    background-color: #2E65F5;
    color: #fff;
}

#client-case-main{ 
    width: 1440px;
    min-width: 1440px;
    margin: 0 auto;
    padding: 24px 0 120px;
}
.client-case-main-tabs{
    display: flex;
    align-items: center;
    text-align: center;
    padding: 16px;
    background: #F7F8FA;
    border-radius: 4px;
    font-weight: 400;
    font-size: 18px;
    color: #181818;
}
#home,#tab{
    color: #999999;
    cursor: pointer;
}
.select {
    width: 240px;
    height: 48px;
    background: #FFFFFF;
    border: 1px solid #DCDEE0;
    border-radius: 4px;
    outline: none;
    font-weight: 400;
    font-size: 18px;
    color: #C8C9CC;
    padding: 12px 16px;
    appearance: none; /* 移除默认的下拉箭头样式 */
    background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'%3e%3cpolyline points='6,9 12,15 18,9'%3e%3c/polyline%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right 16px center; /* 调整背景位置，使其位于右侧合适位置 */
    background-size: 16px;
}
#select-wrap #search-btn{
    background: #2E65F5;
    border-radius: 4px;
    padding: 12px 32px;
    font-weight: 400;
    font-size: 18px;
    color: #FFFFFF;
}
#tabs-wrap{
    position: relative;
    width: fit-content;
    display: flex;
    margin: 56px auto 0;
    gap: 112px;
    font-weight: 400;
    font-size: 18px;
    color: #999999;
    padding-bottom: 16px;
}
.tabs-item{
    cursor: pointer;
    position: relative;
}
.tabs-item::after{
    content: '';
    position: absolute;
    bottom: -16px;
    left: 16px;
    width: 0;
    height: 2px;
    background-color: #2E65F5;
    z-index: 1;
}
.tabs-item:hover{
    color: #2E65F5;
}
.tabs-item.active{
    color: #2E65F5;
}
.tabs-item:hover::after {
    width: 40px;
}
.tabs-item.active::after {
    width: 40px;
}
#cut-off-line-top{
    position: relative;
    height: 1px;
    top: -1px;
    background-color: #EBEDF0;
}
#select-wrap{
    margin-top: 32px;
    display: flex;
    align-items: center;
    gap:16px
}
#case-wrap{
    margin-top: 48px;
    display: flex;
    flex-wrap: wrap;
    gap: 32px 25px;
}
#case-wrap .case{
    width: 463px;
    cursor: pointer;
}
#case-wrap .case .case-img{
    width: 100%;
    height: 255px;
}
#case-wrap .case .case-h1{
    margin-top: 18px;
    font-weight: bold;
    font-size: 18px;
    color: #181818;
    display: -webkit-box; /* 启用弹性盒子布局 */
    -webkit-line-clamp: 2; /* 限制显示2行 */
    -webkit-box-orient: vertical; /* 垂直排列 */
    overflow: hidden; /* 隐藏超出部分 */
    text-overflow: ellipsis; /* 超出部分显示省略号 */
}

#page-wrap{
    display: flex;
    align-items: center;
    width: fit-content;
    margin: 68px auto 0;
}
.quick-page{
    font-weight: 400;
    font-size: 18px;
    color: #666666;
}
#page-wrap .page-btn{
    padding: 12px 32px;
    background-color: #2E65F5;
    font-weight: 400;
    font-size: 18px;
    color: #FFFFFF;
    border-radius: 4px;
    cursor: pointer;
}
#page-wrap #next-page{
    margin-right: 16px;
}

#page-wrap .page-btn.disabled {
    background: #EEEEEE;
    color: #C8C9CC;
    pointer-events: none; /* 禁用点击事件 */
}
#page-wrap .quick-page{
    display: flex;
    align-items: center;
    margin: 0 28px;
}
#page-wrap .quick-page #page-input{
    width: 80px;
    height: 40px;
    border-radius: 4px;
    border: 1px solid #DCDEE0;
    outline: none;
    text-align: center;
    font-weight: 400;
    font-size: 18px;
    color: #181818;
}
#page-wrap .quick-page #page-input::-webkit-inner-spin-button,
#page-wrap .quick-page #page-input::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

